Show / Hide Table of Contents

# Enum ActivityType

Specifies a Discord user's activity type.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ActivityType

### Fields

Name | Description
--- | ---
CustomStatus | The user has set a custom status.
Listening | The user is listening to a song.
Playing | The user is playing a game.
Streaming | The user is streaming online.
Watching | The user is watching some form of media.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()